/*******************************************************************************
*
*                    ATmega32 Timer 1 CTC Mode
*                    -------------------------
*
*   Filename:                                    
*   Autor:                  David Kress
*
*   Version:                1.0
*   Date:                   10.11.2014
*   Built with:             ATMEL AVR Studio 4.14 and AVR-GCC; Optimization -01
*
*
*   Clock source:           - Any 8Mhz clock
*
*   Recommended             - High: 0x99
*   Fuse settings:          - Low:  0xC4
*
*
*
*   Schematic:       ___________________
*                   |      ATMEGA32     |
*          Vcc ---->|Vcc                |
*          Vcc ---->|RESET              |
*                   |                   |
*          GND ---->|GND                |
*                   |                   |
*                   |        PD5 (OC1A) |----> DOUT     
*                   |                   |
*
*******************************************************************************/
#include <avr/io.h>

int main(void)
{

     DDRD = 0x20;                         // Setup PD5 as output

     OCR1A = 3906;                        // F_Timer = F_clk/Prescaler
	                                      //         = 8'000'000 / 1024 = 7812.5
                                          // F_PD5   = F_Timer/ 2 / OCR1A
                                          // 		 = 7812.5 / 2 / 3906 = 1.00006Hz								  

     TCCR1A = (1<<COM1A0);                // CTC mode, toggle OC1A on compare match
     TCCR1B = (1<<CS12)|(1<<CS10)         // Start Timer1 with prescaler 1024
             |(1<<WGM12);
 
     for(;;);                             // Endless loop
                                          // main() will never be left

     return 0;                            // This line will never be executed

}
